# Created by pyp2rpm-1.0.1
%global pypi_name pyqtgraph
%define version 0.9.10

Name:           python-%{pypi_name}
Version:        %{version}
Release:        %mkrel 3
Group:          Development/Python
Summary:        Scientific Graphics and GUI Library for Python
License:        MIT
URL:            http://www.pyqtgraph.org/
Source0:        https://pypi.python.org/packages/source/p/pyqtgraph/pyqtgraph-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme
Requires:       python-qt4
Recommends:     python-h5py
Recommends:     python-opengl


%description
PyQtGraph is a pure-python graphics and GUI library built on PyQt4/PySide and
numpy.

It is intended for use in mathematics / scientific / engineering
applications.
Despite being written entirely in python, the library is very
fast due to its
heavy leverage of numpy for number crunching, Qt's GraphicsView
framework for
2D display, and OpenGL for 3D display.


%package -n python3-%{pypi_name}
Summary:        Scientific Graphics and GUI Library for Python
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme
Requires:       python3-qt4
Recommends:     python3-h5py

%description -n python3-%{pypi_name}
PyQtGraph is a pure-python graphics and GUI library built on PyQt4/PySide and
numpy.

It is intended for use in mathematics / scientific / engineering
applications.
Despite being written entirely in python, the library is very
fast due to its
heavy leverage of numpy for number crunching, Qt's GraphicsView
framework for
2D display, and OpenGL for 3D display.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# generate html docs
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%files
%doc html README.md pyqtgraph/metaarray/readMeta.m pyqtgraph/util/colorama/README.txt LICENSE.txt pyqtgraph/metaarray/license.txt pyqtgraph/util/colorama/LICENSE.txt
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{pypi_name}/*

%files -n python3-%{pypi_name}
%doc html README.md pyqtgraph/metaarray/readMeta.m pyqtgraph/util/colorama/README.txt LICENSE.txt pyqtgraph/metaarray/license.txt pyqtgraph/util/colorama/LICENSE.txt
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{pypi_name}/*


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.9.10-3.mga6
+ Revision: 971135
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 0.9.10-2.mga6
+ Revision: 889331
- BR python(3)-sphinx_rtd_theme
- rebuild for python 3.5
- use new python macros

* Mon Jul 06 2015 dglent <dglent> 0.9.10-1.mga6
+ Revision: 851775
- imported package python-pyqtgraph

